Bug 114949 - FILESAVE: Position or vertical or oblique lines lost in XML format (docx)
Summary: FILESAVE: Position or vertical or oblique lines lost in XML format (docx)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks:
 
Reported: 2018-01-10 14:49 UTC by Silvain Dupertuis
Modified: 2019-08-19 06:54 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
test file (8.96 KB, application/vnd.oasis.opendocument.text)
2018-01-10 17:00 UTC, raal
Details
compare (47.06 KB, image/png)
2018-01-10 17:00 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Silvain Dupertuis 2018-01-10 14:49:10 UTC
Description:
Position of vertical lines are lost when saving in XML format, whatever the anchor and the reference for mesurements.
It works well with Word 97-2003 (.doc) format, but not with Word 2007-2013 XML (docx).

Steps to Reproduce:
1.Create a document with vertical (or oblique) line(s)
2.Save as Word 2007-2013 XML (docx) and close
3.Reopen the document

Actual Results:  
Positions of lines are altered, and lines may be lost depending of whcih combination of anchor - reference of mesurement.

Expected Results:
Keep correct positions


Reproducible: Always


User Profile Reset: No



Additional Info:
Apparently, positons of horizontal lines work correctly.


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 raal 2018-01-10 16:59:33 UTC
I can confirm with Version: 6.1.0.0.alpha0+
Build ID: 834cebd153573eea3cc321eca5bcb572b4776dec
CPU threads: 4; OS: Windows 6.1; UI render: default; 
and Version: 4.4.0.0.alpha0+
Comment 2 raal 2018-01-10 17:00:11 UTC
Created attachment 139024 [details]
test file
Comment 3 raal 2018-01-10 17:00:54 UTC
Created attachment 139025 [details]
compare
Comment 4 Jacques Guilleron 2018-01-10 18:10:03 UTC
Hi Silvain, Raal,

worked till:
LO 4.2.8.1 Build ID: 4044db1653798618515c987464157abee9229c11

but not with:
LO 4.3.0.0.beta1 Build ID: b7cfa1eab1cb1e94f71d6df6612b73f231d0bf92
and upper versions under windows 7
Comment 5 Jacques Guilleron 2018-01-10 18:54:31 UTC
Vertical Lines Positions were also reserved in XML format with
LO 4.2.8.2 Build ID: 48d50dbfc06349262c9d50868e5c1f630a573ebd
Comment 6 Buovjaga 2018-07-10 11:57:42 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2018-07-10 12:16:30 UTC Comment hidden (obsolete)
Comment 8 Aron Budea 2018-08-09 03:35:15 UTC
Bibisecting using repo bibisect-43max points to two incorrect states, first the slanted lines is only positioned slightly lower than the vertical one in the DOCX, and later they become positioned below one another (as in raal's comparison screenshot).

Bibisecting the first change yields the following range (LO crashed in between):
https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=cbce7443b2fa0c1304ff94a54eb48da0c4518146..363119a9f2f0710a55530909330efb343d5a8bae

Bibisecting the second change yields the following commit:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=1393ba60b1eb43b55820f74c393da04308221d97
author		Jacobo Aragunde Pérez <jaragunde@igalia.com>	2014-04-14 18:53:34 +0200
committer	Jacobo Aragunde Pérez <jaragunde@igalia.com>	2014-04-15 11:35:49 +0200

"fdo#70838: fix rotation transformation in DML exporter
This patch fixes an error in commit
c6ff03f37a6898f50a5ca07152168fb4fe911e05."

The referred commit is in the range above, so I'm assuming that's what caused the first change:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=c6ff03f37a6898f50a5ca07152168fb4fe911e05
author		Jacobo Aragunde Pérez <jaragunde@igalia.com>	2014-03-22 13:16:52 +0100
committer	Jacobo Aragunde Pérez <jaragunde@igalia.com>	2014-03-22 23:58:15 +0100

fdo#70838: apply rotation transformations to DML anchor position
Comment 9 QA Administrators 2019-08-19 06:54:49 UTC
Dear Silvain Dupertuis,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug